import 'package:flutter/material.dart';
import 'package:google_fonts/google_fonts.dart';

class FormFieldBox extends StatelessWidget {
  final Widget child;
  final String label;

  const FormFieldBox({
    super.key,
    required this.child,
    required this.label,
  });

  @override
  Widget build(BuildContext context) {
    return Expanded(
      child: Column(
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          Text(
            label,
            style: GoogleFonts.inter(
              fontSize: 13,
              fontWeight: FontWeight.w500,
              color: Color(0xFF2F766E),
            )
          ),
          const SizedBox(height: 6),
          SizedBox(
            height: 35,
            child: child,
          ),
        ],
      ),
    );
  }
}
